#include "screenchecker.h"

ScreenChecker::ScreenChecker()
{
    screenCount = 0;
}

void ScreenChecker::Check()
{
    screens = QGuiApplication::screens();

    for (int i = 0; i < screens.size();i++){

        qDebug() << screens[i]->name();
        screenCount++;
    }

    qDebug() << "Now worked: " << screenCount <<" displays" << endl;
}

QString ScreenChecker::getScreenCount() const
{
    return QString::number(screenCount);
}
